How to Download NI-488.2 Drivers Prior to 17.6

Updated Jun 5, 2019

Reported In

Hardware

  • GPIB Instrument Control Device

Driver

  • NI-488.2

Issue Details

I cannot find (or am unable to download) legacy or older versions of the NI-488.2 driver from the NI Downloads site. I am only able to locate the download for version 17.6 and later of the NI-488.2 driver. However, I need an earlier version of the driver for my application. How can I download an earlier version of the NI-488.2 driver?

Solution

NI has removed NI-488.2 17.0 and earlier from the NI-488.2 Download Page. If you are in need of a earlier version of the NI-488.2 driver please reach out to NI Support to request the specific driver version. 

Additional Information

The NI-488.2 17.6 and later drivers support the ability to recognize counterfeit GPIB devices, while driver versions prior to NI-488.2 17.6 are not able to recognize non-genuine GPIB devices. NI has intentionally removed driver versions NI-488.2 1.0 through NI-488.2 17.0 to encourage customers to migrate to later driver versions which include foundational changes promoting the quality and integrity of data acquired with NI GPIB interfaces.

National Instruments is aware that not all applications can be upgraded to the latest version of the NI-488.2 driver and we will do our best to provide the needed version of the driver download to you as quickly as possible after reaching out to NI Support

WAS THIS ARTICLE HELPFUL?

Not Helpful